%define dist el
%define distver 6

Name: bwm-ng
Summary: Bandwidth Monitor NG
Version: 0.6
Release: 1.%{dist}%{distver}
License: GPL
Group: Applications/Network
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Michael Lang <Michael.Lang@jackal-net.at>
Distribution: Centos4
Prefix: /usr
Url: http://www.gropp.org/%{name}-%{version}.tar.gz
Provides: bwm-ng
BuildRequires: ncurses-devel
Vendor: Michael Lang http://www.jackal-net.at

%description
Bandwidth Monitor NG is a small and simple console-based live bandwidth
monitor for Linux, BSD, Solaris, Mac OS X and others.

Short list of features:
- supports /proc/net/dev, netstat, getifaddr, sysctl, kstat and libstatgrab
- unlimited number of interfaces supported
- interfaces are added or removed dynamically from list
- white-/blacklist of interfaces
- output of KB/s, Kb/s, packets, errors, average, max and total sum
- output in curses, plain console, CSV or HTML
- configfile


%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -qn %{name}-%{version}

%build
%configure \
	--enable-html \
	--enable-csv \
	--enable-extendedstats \
	--enable-configfile \
	--enable-64bit \
	--enable-netstatpath \
	--enable-netstatbyte \
	--enable-netstatlink \
	--with-ncurses \
	--with-time \
	--with-getopt_long \
	--with-getifaddrs \
	--with-sysctl \
	--with-procnetdev \
	--with-netstatlinux \
	--with-strip

make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}
install -m 0755 src/bwm-ng %{buildroot}%{_bindir}
install -m 0644 bwm-ng.1 %{buildroot}%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%{_bindir}/bwm-ng
%{_mandir}/bwm-ng.1
%doc README

%post 

%postun

%changelog
